Bug 1131252 - [GSS] (6.3.1) EJB threads hang waiting to respond to client
Summary: [GSS] (6.3.1) EJB threads hang waiting to respond to client
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: EJB
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: CR1
: EAP 6.3.1
Assignee: Brad Maxwell
QA Contact: Jan Martiska
Russell Dickenson
URL:
Whiteboard:
Depends On: 1131207
Blocks: eap631-blockers, eap631-payload, eap63-cp01-blockers 1104255 1132696
TreeView+ depends on / blocked
 
Reported: 2014-08-18 19:21 UTC by Brad Maxwell
Modified: 2019-02-15 13:44 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 1131207
Environment:
Last Closed: 2014-10-13 18:38:05 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker EJBCLIENT-109 0 Major Resolved EJB threads hang waiting to respond to client 2017-03-03 09:46:48 UTC
Red Hat Knowledge Base (Solution) 1223983 0 None None None Never

Description Brad Maxwell 2014-08-18 19:21:40 UTC
+++ This bug was initially created as a clone of Bug #1131207 +++

When using a standalone client to make EJB calls to EAP it seems that those threads can get stuck in an indefinite wait state. This occurs when the client hits invocation.timeout. The server continues processes the request and that thread lingers waiting to return a respond to the client, which is no longer listening. This looks similar to EJBCLIENT-42, but not quite the same. I will attach a reproducer which was created from a quickstart. Note that when the client is killed, the server side throws various exceptions for all threads, including the writes closed exception.

Comment 3 Jan Martiska 2014-08-28 12:24:18 UTC
Verified in EAP 6.3.1.CR1 / ejb client 1.0.26.Final


Note You need to log in before you can comment on or make changes to this bug.